#include<bits/stdc++.h>

#define ll long long
#define pb push_back
#define mp make_pair
#define ii pair<int, int>

using namespace std;

int total = 0;

std::vector<int> solve(vector<int> v) {
    int n = v.size();
    int i = 0;
    int j = i + (n>>1);
    for (int id = 0; id < n; id++) {
        if (id & 1) {
            v[i] = id;
            i++;
        } else {
            v[j] = id;
            j++;
        }
    }
    return v;
}